Delete Chat Thread - Delete Chat Thread
Hiermee verwijdert u een thread.
DELETE {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
chat
|
path | True |
string |
Thread-id die moet worden verwijderd. |
|
endpoint
|
path | True |
string |
Het eindpunt van de Azure Communication-resource. |
|
api-version
|
query | True |
string |
De versie van de API die moet worden aangeroepen. |
Aanvraagkoptekst
| Name | Vereist | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Een ACS-gebruikerstoegangstoken (Azure Communication Services). |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 204 No Content |
Aanvraag is voltooid. |
|
| 401 Unauthorized |
Ongeoorloofd |
|
| 403 Forbidden |
Verboden |
|
| 429 Too Many Requests |
Te veel aanvragen |
|
| Other Status Codes |
Service niet beschikbaar |
Beveiliging
Authorization
Een ACS-gebruikerstoegangstoken (Azure Communication Services).
Type:
apiKey
In:
header
Voorbeelden
Delete chat thread
Voorbeeldaanvraag
DELETE https://contoso.westus.communications.azure.com/chat/threads/19:9525281ac1f947fc884bcee1a9f983c2@thread.v2?api-version=2020-09-21-preview2
Voorbeeldrespons
{
"code": "Unauthorized",
"message": "Request is not authorized."
}
{
"code": "Forbidden",
"message": "User is not allowed to perform specified action."
}
{
"code": "TooManyRequests",
"message": "Rate limit exceeded."
}
{
"code": "ServiceUnavailable",
"message": "The server is currently unable to handle the request."
}
Definities
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
|
| innerErrors |
Error[] |
|
| message |
string |
|
| target |
string |